Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1377792 - Disable crash on MIPS
Summary: Disable crash on MIPS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemtap
Version: 26
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Frank Ch. Eigler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-09-20 15:25 UTC by Michal Toman
Modified: 2017-07-27 15:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-27 15:10:50 UTC


Attachments (Terms of Use)
Disable-crash-on-MIPS.patch (deleted)
2016-09-20 15:25 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-09-20 15:25:10 UTC
Created attachment 1202948 [details]
Disable-crash-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires updating systemtap SPEC not to require crash. We have no working crash builds on MIPS at this moment.

Actual results:
Build fails because crash is required.

Expected results:
Build passes.

Additional info:
Attaching dist-git patch. It would be nice to have this in F25 as well.

Comment 1 David Smith 2016-10-27 20:25:37 UTC
Upstream commit 29f15b2 fixes this in the systemtap source tree.

Comment 2 Fedora End Of Life 2017-02-28 10:20:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 William Cohen 2017-07-27 15:10:50 UTC
The patch to exclude crash requirement for mips is in Fedora 25 systemtap-3.1-5.fc25.src.rpm


Note You need to log in before you can comment on or make changes to this bug.